<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:composition template="/template.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.CreateAmbientesTitle}"></h:outputText>
        </ui:define>
        <ui:define name="body">
            <h:panelGroup id="messagePanel" layout="block">
                <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
            </h:panelGroup>
            <h:form>
                <h:panelGrid columns="2">
                    <h:outputLabel value="#{bundle.CreateAmbientesLabel_ambienteId}" for="ambienteId" />
                    <h:inputText id="ambienteId" value="#{ambientesController.selected.ambienteId}" title="#{bundle.CreateAmbientesTitle_ambienteId}" required="true" requiredMessage="#{bundle.CreateAmbientesRequiredMessage_ambienteId}"/>
                    <h:outputLabel value="#{bundle.CreateAmbientesLabel_ambienteNombre}" for="ambienteNombre" />
                    <h:inputText id="ambienteNombre" value="#{ambientesController.selected.ambienteNombre}" title="#{bundle.CreateAmbientesTitle_ambienteNombre}" />
                    <h:outputLabel value="#{bundle.CreateAmbientesLabel_ambienteImg360}" for="ambienteImg360" />
                    <h:inputText id="ambienteImg360" value="#{ambientesController.selected.ambienteImg360}" title="#{bundle.CreateAmbientesTitle_ambienteImg360}" />
                    <h:outputLabel value="#{bundle.CreateAmbientesLabel_inventarioInventarioId}" for="inventarioInventarioId" />
                    <h:selectOneMenu id="inventarioInventarioId" value="#{ambientesController.selected.inventarioInventarioId}" title="#{bundle.CreateAmbientesTitle_inventarioInventarioId}" required="true" requiredMessage="#{bundle.CreateAmbientesRequiredMessage_inventarioInventarioId}">
                        <f:selectItems value="#{inventariosController.itemsAvailableSelectOne}"/>
                    </h:selectOneMenu>
                </h:panelGrid>
                <br />
                <h:commandLink action="#{ambientesController.create}" value="#{bundle.CreateAmbientesSaveLink}" />
                <br />
                <br />
                <h:commandLink action="#{ambientesController.prepareList}" value="#{bundle.CreateAmbientesShowAllLink}" immediate="true"/>
                <br />
                <br />
                <h:link outcome="/index" value="#{bundle.CreateAmbientesIndexLink}"/>
            </h:form>
        </ui:define>
    </ui:composition>

</html>
